/*
 * Class RANDOM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_544 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_544 [] = {0xFF01,1551,543,0xFFFF};
static const EIF_TYPE_INDEX egt_2_544 [] = {0xFF01,543,0xFFFF};
static const EIF_TYPE_INDEX egt_3_544 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_544 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_544 [] = {0xFF01,543,0xFFFF};
static const EIF_TYPE_INDEX egt_6_544 [] = {0xFF01,543,0xFFFF};
static const EIF_TYPE_INDEX egt_7_544 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_544 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_544 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_544 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_544 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_544 [] = {0xFF01,543,0xFFFF};
static const EIF_TYPE_INDEX egt_13_544 [] = {0xFF01,1655,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_544 [] = {869,0xFFFF};


static const struct desc_info desc_544[] = {
	{EIF_GENERIC(NULL), 9180, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_544), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_544), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_544), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_544), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_544), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_544), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_544), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_544), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_544), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_544), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_544), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_544), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x043F /*543*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_544), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_544), 9156, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_544), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8780, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9153, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9144, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9146, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9155, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9144, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9148, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9158, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9157, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9149, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9151, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9165, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 9169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 9171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9175, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9176, 16},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 9179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9168, 0xFFFFFFFF},
};
void Init544(void)
{
	IDSC(desc_544, 0, 543);
	IDSC(desc_544 + 1, 1, 543);
	IDSC(desc_544 + 32, 1134, 543);
	IDSC(desc_544 + 41, 878, 543);
	IDSC(desc_544 + 42, 1534, 543);
	IDSC(desc_544 + 49, 1444, 543);
	IDSC(desc_544 + 58, 750, 543);
	IDSC(desc_544 + 59, 1135, 543);
	IDSC(desc_544 + 68, 1060, 543);
	IDSC(desc_544 + 74, 778, 543);
	IDSC(desc_544 + 75, 902, 543);
	IDSC(desc_544 + 80, 371, 543);
	IDSC(desc_544 + 94, 1592, 543);
	IDSC(desc_544 + 113, 1380, 543);
}


#ifdef __cplusplus
}
#endif
